# SeenEncounterData | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SeenEncounterData

- Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:6

##### Index

### Constructors

constructor

### Properties

selectedOption
tier
type
waveIndex

## Constructors

### constructor

- new SeenEncounterData(
  type: MysteryEncounterType ,
  tier: MysteryEncounterTier ,
  waveIndex: number,
  selectedOption?: number,
  ): SeenEncounterData

  #### Parameters

  - type: MysteryEncounterType
  - tier: MysteryEncounterTier
  - waveIndex: number
  - `Optional` selectedOption: number

  #### Returns SeenEncounterData

  - Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:12

## Properties

### selectedOption

selectedOption: number

- Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:10

### tier

tier: MysteryEncounterTier

- Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:8

### type

type: MysteryEncounterType

- Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:7

### waveIndex

waveIndex: number

- Defined in src/data/mystery-encounters/mystery-encounter-save-data.ts:9